Name:           perl-Imager
Version:        0.50
Release:        1%{?dist}
Summary:        Imager - Perl extension for Generating 24 bit Images

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Imager/
Source0:        http://search.cpan.org/CPAN/authors/id/T/TO/TONYC/Imager-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl(ExtUtils::Depends), perl(Parse::RecDescent)
BuildRequires:  libungif-devel, libpng-devel, freetype-devel, libtiff-devel
BuildRequires:  libjpeg-devel, t1lib-devel
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Imager is a module for creating and altering images. It can read and write
various image formats, draw primitive shapes like lines,and polygons, blend
multiple images together in various ways, scale, crop, render text and more.

%prep
%setup -q -n Imager-%{version}
%{__perl} -pi -e 's/my \$resp = <STDIN>/my \$resp = "n"/g' Makefile.PL

# Quiet rpmlint.
find . -type f \( -perm +100 -o -name '*.pl' \) \
    -exec perl -pi -e 's,^(\#\!)perl,$1%{__perl}, if ($.==1);' {} \;
find . -type f -name '*.pm' \
    -exec perl -pi -e '$_=undef if ($.==1 and /^\#\!.*perl/)' {} \;
chmod a-x samples/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
chmod -R u+w $RPM_BUILD_ROOT/*

perldoc -t perlgpl > COPYING
perldoc -t perlartistic > Artistic

%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING Artistic
%doc samples/
%{perl_vendorarch}/Imager*
%{perl_vendorarch}/auto/*
%{_mandir}/man3/*.3*


%changelog
* Fri Apr 07 2006 Gavin Henry <ghenry[AT]suretecsystems.com> - 0.50-1
- Updated version for security fix

* Tue Feb 28 2006 Gavin Henry <ghenry[AT]suretecsystems.com> - 0.47-1
- Updated version

* Wed Sep 14 2005 Gavin Henry <ghenry[AT]suretecsystems.com> - 0.45-2
- Applied Steven Pritchard's kind patch to cleanup -
  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=166254

* Thu Aug 18 2005 Gavin Henry <ghenry[AT]suretecsystems.com> - 0.45-1
- First build.
